Events & Errors
Ingest Error Event
Send a single error event or crash report to Traceback with stack trace, metadata, and breadcrumbs.
POST
/
events
Ingest Error Event
curl --request POST \
--url https://api.traceback.dev/v1/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"timestamp": "2026-09-03T18:00:00Z",
"environment": "production",
"release": "web@2.4.1",
"exception": {
"type": "TypeError",
"value": "Cannot read properties of undefined (reading 'items')",
"stacktrace": [
{
"filename": "src/checkout/cart.ts",
"lineno": 42,
"colno": 18,
"function": "calculateTotal",
"in_app": true
}
]
},
"id": "e4a2c984-7a1b-4f9e-8c4d-91b3e5a2c110",
"user": {
"id": "usr_94827",
"email": "alex@example.com"
},
"tags": {
"tier": "enterprise",
"datacenter": "us-east-1"
},
"trace_id": "4bf92f3577b34da6a3ce929d0e0e4736",
"replay_id": "rpl_01HJZ97K1A9QG038F"
}
EOFimport requests
url = "https://api.traceback.dev/v1/events"
payload = {
"timestamp": "2026-09-03T18:00:00Z",
"environment": "production",
"release": "web@2.4.1",
"exception": {
"type": "TypeError",
"value": "Cannot read properties of undefined (reading 'items')",
"stacktrace": [
{
"filename": "src/checkout/cart.ts",
"lineno": 42,
"colno": 18,
"function": "calculateTotal",
"in_app": True
}
]
},
"id": "e4a2c984-7a1b-4f9e-8c4d-91b3e5a2c110",
"user": {
"id": "usr_94827",
"email": "alex@example.com"
},
"tags": {
"tier": "enterprise",
"datacenter": "us-east-1"
},
"trace_id": "4bf92f3577b34da6a3ce929d0e0e4736",
"replay_id": "rpl_01HJZ97K1A9QG038F"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
timestamp: '2026-09-03T18:00:00Z',
environment: 'production',
release: 'web@2.4.1',
exception: {
type: 'TypeError',
value: 'Cannot read properties of undefined (reading \'items\')',
stacktrace: [
{
filename: 'src/checkout/cart.ts',
lineno: 42,
colno: 18,
function: 'calculateTotal',
in_app: true
}
]
},
id: 'e4a2c984-7a1b-4f9e-8c4d-91b3e5a2c110',
user: {id: 'usr_94827', email: 'alex@example.com'},
tags: {tier: 'enterprise', datacenter: 'us-east-1'},
trace_id: '4bf92f3577b34da6a3ce929d0e0e4736',
replay_id: 'rpl_01HJZ97K1A9QG038F'
})
};
fetch('https://api.traceback.dev/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "queued",
"permalink": "https://app.traceback.dev/issues/iss_9281"
}Authorizations
Your project or organization API key starting with tb_live_ or tb_test_.
Body
application/json
Example:
"2026-09-03T18:00:00Z"
Example:
"production"
Example:
"web@2.4.1"
Show child attributes
Show child attributes
Example:
"e4a2c984-7a1b-4f9e-8c4d-91b3e5a2c110"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"tier": "enterprise",
"datacenter": "us-east-1"
}
Example:
"4bf92f3577b34da6a3ce929d0e0e4736"
Example:
"rpl_01HJZ97K1A9QG038F"
⌘I
Ingest Error Event
